import data

class Gui:
    def __init__(self, robot, gems):
        self.backDrop,null = data.load_image("guiBar.png")
        self.heartIcon,null = data.load_image("lifeIcon.png",(0,255,0))
        self.gems = gems
        if robot == "Climb":
            self.icon,null = data.load_image("climbIcon.png")
        elif robot == "Gravity":
            self.icon,null = data.load_image("gravityIcon.png")
        elif robot == "Runner":
            self.icon,null = data.load_image("runnerIcon.png")
        elif robot == "Firepower":
            self.icon,null = data.load_image("firepowerIcon.png")
        self.score = 0

    def draw(self, screen, lives):
        screen.blit(self.backDrop,(0,0))
        gemCnt = 0
        for gem in self.gems:
            screen.blit(gem.actor.currentImage,(483+gemCnt*40,9))
            gemCnt+=1
        for i in xrange(lives):
            screen.blit(self.heartIcon,(397+i*28,26))
        screen.blit(self.icon,(6,5))

    def setLives(self, nlives):
        self.lives = nlives

    def setScore(self, newScore):
        self.score = newScore

    def addScore(self, addScore):
        self.score += addScore
