import data

class Tile:
    def __init__(self, tileSet, tileNum, x, y):
        self.tileX = x
        self.tileY = y
        if tileSet == "Jungle":
            if tileNum == 1:
                self.cType = "Ground"
                self.image,self.rect = data.load_image('grassFloor1.png')
            elif tileNum == 2:
                self.cType = "Ground"
                self.image,self.rect = data.load_image('grassFloor2.png')
            elif tileNum == 3:
                self.cType = "LeftVine"
                self.image,self.rect = data.load_image('grassFloor3.png')                
            elif tileNum == 4:
                self.cType = "RightVine"
                self.image,self.rect = data.load_image('grassFloor4.png')
            elif tileNum == 5:
                self.cType = "Spike"
                self.image,self.rect = data.load_image('grassFloor5.png',(0,255,0))
            elif tileNum == 6:
                self.cType = "Ground"
                self.image,self.rect = data.load_image('grassFloor6.png',(0,255,0))
            elif tileNum == 7:
                self.cType = "Ground"
                self.image,self.rect = data.load_image('grassFloor7.png',(0,255,0))
        elif tileSet == "Space":
            if tileNum == 1:
                self.cType = "Ground"
                self.image,self.rect = data.load_image('spaceFloor1.png')
            elif tileNum == 2:
                self.cType = "Ground"
                self.image,self.rect = data.load_image('spaceFloor2.png')
            elif tileNum == 3:
                self.cType = "Ground"
                self.image,self.rect = data.load_image('spaceFloor3.png')
            elif tileNum == 4:
                self.cType = "Spike"
                self.image,self.rect = data.load_image('spaceFloor4.png',(0,255,0))
            elif tileNum == 5:
                self.cType = "Ground"
                self.image,self.rect = data.load_image('spaceFloor5.png')
            elif tileNum == 6:
                self.cType = "Ground"
                self.image,self.rect = data.load_image('spaceFloor6.png')
        elif tileSet == "Lava":
            if tileNum == 1:
                self.cType = "Ground"
                self.image,self.rect = data.load_image('lavaFloor1.png')
            elif tileNum == 2:
                self.cType = "Ground"
                self.image,self.rect = data.load_image('lavaFloor2.png')
            elif tileNum == 3:
                self.cType = "Spike"
                self.image,self.rect = data.load_image('lavaFloor3.png',(0,255,0))
            elif tileNum == 4:
                self.cType = "Spike"
                self.image,self.rect = data.load_image('lavaFloor4.png')
        elif tileSet == "War":
            if tileNum == 1:
                self.cType = "Ground"
                self.image,self.rect = data.load_image('warFloor1.png')
            elif tileNum == 2:
                self.cType = "Ground"
                self.image,self.rect = data.load_image('warFloor2.png')
                
    def getType(self):
        return self.cType 

    def draw(self, screen, camX, camY):
        screen.blit(self.image, (self.tileX-camX, self.tileY-camY))
